\name{plotIBDs}
\alias{plotIBDs}
\title{plotIBDs: Plot all haplotype clusters or IBD tracts of a list}
\description{

  \code{plotIBDs}: \R implementation of \code{plotIBDs}.

  Interactively plots all haplotype clusters or IBD tracts of a list where it shows reference alleles,
  minor alleles that are not tagSNVs,
  and minor alleles that are tagSNVs.
}
\usage{

plotIBDs(IBD,filename)

}
\arguments{
  \item{IBD}{list of haplotype clusters or IBD tracts that will be plotted.}
  \item{filename}{file name to call \code{readSamplesSpfabia} from the package \pkg{fabia}
  to read samples that should be plotted. ATTENTION: without type ".txt"!}

}
\details{

  Interactively plots all haplotype clusters or IBD tracts where it shows reference alleles,
  minor alleles that are not tagSNVs,
  and minor alleles that are tagSNVs.
  Only the model from \pkg{fabia} is shown.
  Asks for the next plot by pushing a key.

  Implementation in \R.

}
\seealso{
\code{\link{hapFabia}},
\code{\link{vcftoFABIA}},
\code{\link{split_sparse_matrix}},
\code{\link{iterateSegments}},
\code{\link{getIBDs}},
\code{\link{extractIBD}},
\code{\link{compareIBDres}},
\code{\link{mergeIBDres}},
\code{\link{identifyDuplicates}},
\code{\link{ibd2excel}},
\code{\link{plotRangeL}},
\code{\link{plotOneIBD}},
\code{\link{plotIBDs}},
\code{\link{snpPlot}},
\code{\link{analyzeIBDs}},
\code{\link{simulateHaplotypes}},
\code{\link{simulateForFabia}},
\code{\link{sim}},
\code{\link{topLZ}},
\code{\link{histL}},
\code{\link{plotL}},
\code{\link{hapRes}},
\code{\link{res}},
\code{\link{simu}},
\code{\link{mergedIBD}}
}
\author{Sepp Hochreiter}
\references{

S. Hochreiter et al.,
\sQuote{FABIA: Factor Analysis for Bicluster Acquisition},
Bioinformatics 26(12):1520-1527, 2010.

}
\keyword{hplot}
\concept{genetics,haplotype,identity by descent,bicluster,next generation sequencing,genotype,single nucleotide polymorphism,single nucleotide variation,rare variants,rare SNPs, rare SNVs,rare haplotype clusters,short haplotype clusters}
