\name{vcftoFABIA}
\alias{vcftoFABIA}
\title{vcftoFABIA: Converting from vcf to sparse matrix format}
\description{


  \code{vcftoFABIA}: C implementation with an \R wrapper of \code{vcftoFABIA}.

  Converts files giving the genotype in vcf format
  to sparse matrix formats as used by FABIA.
  Phased and unphased genotypes as well as dosages or likelihoods
  are written to files in sparse
  matrix formats.
}
\usage{

vcftoFABIA(fileName="ALL.chr1.phase1_release_v2.20101123.snps_indels_svs",prefixPath="",noSnps=NULL)

}
\arguments{
  \item{fileName}{string giving the file name without the file type '.vcf'. Attention: remove file type!}
  \item{prefixPath}{path to the file.}
  \item{noSnps}{optional: the number of SNVs or SNPs; needed for memory allocation; if not known it is determined by first reading all lines of the file.}

}
\details{


  Implementation in C. Also command line programs are supplied.



}
\seealso{
\code{\link{hapFabia}},
\code{\link{vcftoFABIA}},
\code{\link{split_sparse_matrix}},
\code{\link{iterateSegments}},
\code{\link{getIBDs}},
\code{\link{extractIBD}},
\code{\link{compareIBDres}},
\code{\link{makePipelineFile}},
\code{\link{mergeIBDres}},
\code{\link{identifyDuplicates}},
\code{\link{ibd2excel}},
\code{\link{plotRangeL}},
\code{\link{plotOneIBD}},
\code{\link{plotIBDs}},
\code{\link{snpPlot}},
\code{\link{analyzeIBDs}},
\code{\link{simulateHaplotypes}},
\code{\link{simulateForFabia}},
\code{\link{sim}},
\code{\link{topLZ}},
\code{\link{histL}},
\code{\link{plotL}},
\code{\link{hapRes}},
\code{\link{res}},
\code{\link{simu}},
\code{\link{mergedIBD}}
}
\author{Sepp Hochreiter}
\references{

S. Hochreiter et al.,
\sQuote{FABIA: Factor Analysis for Bicluster Acquisition},
Bioinformatics 26(12):1520-1527, 2010.

}
\keyword{file,connection}
\concept{genetics,haplotype,identity by descent,bicluster,next generation sequencing,genotype,single nucleotide polymorphism,single nucleotide variation}
